package com.cyksj.service.cps;

import com.cyksj.model.entity.UserDistributePopularize;
import com.cyksj.model.views.UserDistributePopularizeView;

/*
 *项目名: netflix
 *文件名: CpsPopularizeService
 *创建者: JavaZou
 *创建时间:2023/5/15 16:01
 */
public interface CpsPopularizeService {
	void insert(UserDistributePopularize popularize);

	void update(UserDistributePopularize popularize);

	void deleteById(long cpsUserId, Long id);

	UserDistributePopularizeView getDefaultPopularizeDetail(long cpsUserId, String start, String end);

	String getServiceCodeUrl(long cpsUserId);

	UserDistributePopularizeView getVipPopularizeDetail(Long cpsPopularizeId, String startTime, String endTime);
}
